# Class: AdminUpdateUserRequest

[internal](../modules/internal-29.md).AdminUpdateUserRequest

## Properties

### api\_token

• `Optional` **api\_token**: `string`

#### Defined in

medusa/dist/api/routes/admin/users/update-user.d.ts:86

___

### first\_name

• `Optional` **first\_name**: `string`

#### Defined in

medusa/dist/api/routes/admin/users/update-user.d.ts:83

___

### last\_name

• `Optional` **last\_name**: `string`

#### Defined in

medusa/dist/api/routes/admin/users/update-user.d.ts:84

___

### metadata

• `Optional` **metadata**: `Record`<`string`, `unknown`\>

#### Defined in

medusa/dist/api/routes/admin/users/update-user.d.ts:87

___

### role

• `Optional` **role**: [`UserRoles`](../enums/internal-1.UserRoles.md)

#### Defined in

medusa/dist/api/routes/admin/users/update-user.d.ts:85
